package com.oo.eye.net;

import com.oo.seex.netlibrary.net.BaseApiConfig;
import com.oo.seex.netlibrary.net.BaseNetManager;

/**
 * Created by xucon on 2017/12/26.
 */

public class EyeNetManager extends BaseNetManager {
	private static EyeNetManager sNetManager;

	public static EyeNetManager getInstance() {
		if (null == sNetManager) {
			synchronized (BaseNetManager.class) {
				if (null == sNetManager)
					sNetManager = new EyeNetManager();
			}
		}
		return sNetManager;
	}

	@Override
	protected void setBaseNet() {
		BaseApiConfig.setReleaseHost(NetConfig.REALY_HOST);
		BaseApiConfig.setDebugHost(NetConfig.DEBUG_HOST);
	}

}
